[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[bug-inetutils] Fix ping6 bug in tests
From: |
jb999 |
Subject: |
[bug-inetutils] Fix ping6 bug in tests |
Date: |
Sun, 9 Nov 2014 13:54:05 +0100 |
Without ping6 errno2 is currently the result of test -x $PING6, which makes the
test fail erroneously.
diff -Nur inetutils-1.9.2.orig/tests/ping-localhost.sh
inetutils-1.9.2/tests/ping-localhost.sh
--- inetutils-1.9.2.orig/tests/ping-localhost.sh 2013-09-26
11:36:38.000000000 +0200
+++ inetutils-1.9.2/tests/ping-localhost.sh 2014-11-09 13:11:17.469541235
+0100
@@ -54,7 +54,10 @@
test $errno -eq 0 || echo "Failed at pinging $TARGET." >&2
# Host might not have been built with IPv6 support..
-test -x $PING6 && $PING6 -n -c 1 $TARGET6 || errno2=$?
+if [ -x $PING6 ]; then
+ $PING6 -n -c 1 $TARGET6 || errno2=$?
+fi
+
test $errno2 -eq 0 || echo "Failed at pinging $TARGET6." >&2
test $errno -eq 0 || exit $errno
- [bug-inetutils] Fix ping6 bug in tests,
jb999 <=